#
# spec file for package xviewer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xviewer
Version:        1.4.3
Release:        1.1
Summary:        Fast and functional graphics viewer
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Graphics/Viewers
Url:            https://github.com/linuxmint/xviewer
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  hicolor-icon-theme
BuildRequires:  libjpeg-devel
BuildRequires:  libxml2-python
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10.0
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libpeas-gtk-1.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
Requires:       xapps-common
Recommends:     %{name}-lang
Suggests:       %{name}-plugins
%glib2_gsettings_schema_requires

%description
xviewer is a simple graphics viewer for the Cinnamon desktop and
others which uses the gdk-pixbuf library. It can deal with large
images, and zoom and scroll with constant memory usage. Its goals
are simplicity and standards compliance.

%lang_package

%package devel
Summary:        Fast and functional graphics viewer development files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
xviewer is a simple graphics viewer for the Cinnamon desktop and
others which uses the gdk-pixbuf library. It can deal with large
images, and zoom and scroll with constant memory usage. Its goals
are simplicity and standards compliance.

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure \
  --libexecdir=%{_libexecdir}/%{name} \
  --disable-python
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file -r %{name} GTK Graphics 2DGraphics Viewer
%fdupes %{buildroot}%{_datadir}

if [ -d %{buildroot}%{_datadir}/GConf/ ]; then
    rm -rf %{buildroot}%{_datadir}/GConf/
fi

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files lang -f %{name}.lang
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-3.0/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Wed Jun 28 2017 sor.alexei@meowr.ru
- Update to version 1.4.3:
  * Update translations.
* Wed May 24 2017 sor.alexei@meowr.ru
- Update to version 1.4.2:
  * Update translations.
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 1.4.1 (changes since 1.2.2):
  * ui: Replace EggEditable toolbar with a GtkToolbar.
  * xviewer-window: Show/hide the toolbar with a revealer.
  * ui: Switch to using symbolic style icons.
  * fullscreen-toolbar: Update the styling.
  * ui: Don't handle double click events globally for the window.
  * window: Don't hide the sidebar when going fullscreen.
  * l10n: Update POT file.
  * Update translations.
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 1.2.2:
  * Update translations.
* Thu Nov 10 2016 sor.alexei@meowr.ru
- Update to version 1.2.1:
  * Update translations.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * Don't show sidebar by default.
  * Move menu item to Accessories category.
  * Fix resampling when picture is zoomed.
  * Add a View->Reload action and remove the Reload plugin.
  * Removed fullscreen and date-in-statusbar plugins.
  * Apply custom background color to fullscreen background.
  * Fix Rotate and Reload using the same shortcut key.
* Fri Jul 15 2016 sor.alexei@meowr.ru
- Update to version 1.0.6:
  * Add Xfce support.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.5:
  * Update translations.
* Wed Jun 22 2016 sor.alexei@meowr.ru
- Update to version 1.0.4:
  * Fix setting background in MATE.
  * Show application name in the about dialog.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 1.0.3:
  * Update translations.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.2:
  * Avoid integer overflow when allocating a large block of memory.
  * Update description and pot file.
  * Update translations.
* Sun Feb  7 2016 sor.alexei@meowr.ru
- Initial package, based on eom's package.
